Skip to content

Upload team avatar (admin)

PUT
/teams/{id}/avatar
curl --request PUT \
--url https://api.muninx.com/teams/example/avatar \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form avatar=@file
id
required
string
Media type multipart/form-data
object
avatar
required
string format: binary

Avatar updated

Media type application/json
object
avatar
required

URL of the 256-pixel avatar.

string
versions
required

GCS storage locations keyed by image size in pixels.

object
key
additional properties
string
Example generated
{
"avatar": "example",
"versions": {
"additionalProperty": "example"
}
}

Invalid tenant ID, team ID, or avatar file

Missing or invalid bearer token

Role is not permitted

Team not found

Unable to upload avatar